;;; 70x-face-el.el --- Debian x-face-el startup file  -*-mode: emacs-lisp;-*-

;;; Code:

(let ((elc-dir (concat "/usr/share/" (symbol-name flavor) "/site-lisp/x-face-el")))
  (if (not (file-directory-p elc-dir))
      ()
    (if (fboundp 'debian-pkg-add-load-path-item)
	(debian-pkg-add-load-path-item elc-dir)
      (setq load-path (cons elc-dir load-path)))
    (setq x-face-inhibit-loadup-splash t)
    (setq x-face-viewer-program "display")
    (setq x-face-viewer-options '("-geometry" "+0+0" "-"))
    (cond
     ((and (not (featurep 'xemacs))
	   (boundp 'emacs-major-version)
	   (>= emacs-major-version 21))
      (autoload 'x-face-ascii-view "x-face-e21" nil t))
     (t
      (autoload 'x-face-ascii-view "x-face"
	"View X-Face fields as ascii pictures." t)))
    (if (not window-system)
	()
      (cond
       ((and (not (featurep 'xemacs))
	     (boundp 'emacs-major-version)
	     (>= emacs-major-version 21))
	(autoload 'x-face-decode-message-header "x-face-e21")
	(autoload 'x-face-insert "x-face-e21" nil t)
	(autoload 'x-face-save "x-face-e21" nil t)
	(autoload 'x-face-show "x-face-e21" nil t)
	(autoload 'x-face-turn-off "x-face-e21")
	(setq x-face-auto-image t)
	;; for RMAIL
	(add-hook 'rmail-show-message-hook 'x-face-decode-message-header)
	;; for mh-e
	(add-hook 'mh-show-mode-hook 'x-face-decode-message-header)
	;; for SEMI
	(add-hook 'mime-display-header-hook 'x-face-decode-message-header)
	(add-hook 'mime-edit-translate-hook 'x-face-turn-off)
	;; for Wanderlust
	(setq wl-highlight-x-face-function 'x-face-decode-message-header)
	;; for Mew
	(setq mew-use-highlight-x-face t)
	(setq mew-highlight-x-face-function 'x-face-decode-message-header)
	(setq mew-use-highlight-x-face-function mew-highlight-x-face-function)
	(setq mew-opt-highlight-x-face-function mew-highlight-x-face-function)
	(add-hook 'mew-make-message-hook 'x-face-turn-off)
	;;
	)
       (t
	(autoload 'x-face-encode "x-face"
	  "Generate X-Face string(s) from xbm file." t)
	(autoload 'x-face-insert "x-face"
	  "Insert X-Face fields." t)
	(autoload 'x-face-save "x-face"
	  "Save X-Face fields to files." t)
	(autoload 'x-face-view "x-face"
	  "View X-Face fields." t)
	(autoload 'x-face-menu-insert "x-face" "Insert X-Face with menu." t)
	(autoload 'x-face-menu-encode "x-face"
	  "Generate X-Face string(s) from xbm file with menu." t)
	(if (not (featurep 'xemacs))
	    ()
	  (autoload 'x-face-xmas-display-x-face "x-face"
	    "Display X-Face fields as XEmacs-glyph." t)
	  (autoload 'x-face-xmas-force-display-x-face "x-face"
	    "Display X-Face fields compulsorily as XEmacs glyph." t)
	  (autoload 'x-face-xmas-remove-x-face-glyph "x-face"
	    "Remove X-Face images and some text-properties." t)
	  ;; for Gnus
	  (setq gnus-article-x-face-command 'x-face-xmas-display-x-face)
	  ;; for SEMI
	  (require 'x-face)
	  (x-face-xmas-replace-highlight-headers)
	  (x-face-xmas-replace-x-face-function-for-semi)
	  (add-hook 'mime-edit-translate-hook 'x-face-xmas-remove-x-face-glyph)
	  ;; for Wanderlust
	  (autoload 'x-face-xmas-wl-display-x-face "x-face" nil t)
	  (setq wl-highlight-x-face-function 'x-face-xmas-wl-display-x-face)
	  ;; for Mew
	  (autoload 'x-face-xmas-mew-display-x-face "x-face")
	  (setq mew-highlight-x-face-function 'x-face-xmas-mew-display-x-face)
	  (setq mew-use-highlight-x-face-function mew-highlight-x-face-function)
	  (setq mew-opt-highlight-x-face-function mew-highlight-x-face-function)
	  ;;
	  ))))
    ;;
    ))

;;; 70x-face-el.el ends here
